| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

Functions
arm_cfft_radix4_f32.c File Reference

## Functions

void | arm_cfft_radix4_f32 (const arm_cfft_radix4_instance_f32 *S, float32_t *pSrc)
| Processing function for the floating-point Radix-4 CFFT/CIFFT.
void | arm_radix4_butterfly_f32 (float32_t *pSrc, uint16_t fftLen, float32_t *pCoef, uint16_t twidCoefModifier)
| Core function for the floating-point CFFT butterfly process.
void | arm_radix4_butterfly_inverse_f32 (float32_t *pSrc, uint16_t fftLen, float32_t *pCoef, uint16_t twidCoefModifier, float32_t onebyfftLen)
| Core function for the floating-point CIFFT butterfly process.

## Function Documentation

void arm_radix4_butterfly_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftLen,
|  | float32_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

end of Radix4_CFFT_CIFFT group

Referenced by arm_cfft_radix4_f32(), and arm_rfft_f32().

void arm_radix4_butterfly_inverse_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftLen,
|  | float32_t * | pCoef,
|  | uint16_t | twidCoefModifier,
|  | float32_t | onebyfftLen
| ) |  |

Parameters:

  [in,out] | *pSrc | points to the in-place buffer of floating-point data type.
  [in] | fftLen | length of the FFT.
  [in] | *pCoef | points to twiddle coefficient buffer.
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.
  [in] | onebyfftLen | value of 1/fftLen.

Returns:
  none.

Referenced by arm_cfft_radix4_f32(), and arm_rfft_f32().